### Function

# Dex aio_close

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_aio_close (
      DexAioContext* aio_context,
      int fd
    )

#### Description [src]

An asynchronous `close()` wrapper.

This function takes ownership of `fd` and will close it asynchronously.

Generally you want to provide `NULL` for the `aio_context` as that will get the default aio context for your scheduler.

Available since: 1.2

#### Parameters

`aio_context`

  Type: `DexAioContext`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`fd`

  Type: `int`

  The file descriptor to close.

#### Return value

Type: `DexFuture`

A future that will resolve to `TRUE` when the close completes or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.